function imgCodeChange() {
    {
        $('.img_code img')[0].src = '/jdg/base/image/code?v=' + Math.ceil(Math.random() * 1000000)
    }
}

odoo.define('jd_base.img_code', function (require) {
    "use strict";
    $(function () {
            var pwd = "";
            var len = 0;
            // type=tel input框
            var $inputs = $(".surface-ipt input");
            $(".real-ipt").on("input", function () {
                if (!$(this).val()) {   //无值

                }
                if (/^[0-9]*$/g.test($(this).val())) {  //有值且只能是数字（正则）
                    pwd = $(this).val().trim();
                    len = pwd.length;
                    for (var i in pwd) {
                        $inputs.eq(i).val(pwd[i]);
                    }
                    $inputs.each(function () {  //将有值的当前input 后面的所有input清空
                        var index = $(this).index();
                        if (index >= len) {
                            $(this).val("");
                        }
                    })
                    $('.secret_alert_msg').html('')
                    if (len === 6) {
                        //执行确定操作
                        $("#secret_num_auth").click()
                    }

                } else {    //清除val中的非数字，返回纯number的value
                    $('.secret_alert_msg').html('<p class="alert alert-danger">请输入纯数字</p>')
                    var arr = $(this).val().match(/\d/g);
                    try {
                        $(this).val($(this).val().slice(0, $(this).val().lastIndexOf(arr[arr.length - 1]) + 1));
                    } catch (e) {
                        //清空
                        $(this).val("");
                    }
                }
            })
        }
    )
})
